Subject: RE: [mobile-ip] MN's packet reception

From: "Powell, Ken" <[email-masked]>
Date: Fri, 1 Jun 2001 08:16:37 -0400

I disagree. The "as if" clause applies only to processing
done "by upper-layer protocols within the mobile node", such
as TCP and above. The processing described in [2] happens
below TCP.

Ken

> -----Original Message-----
> From: Jiwoong Lee [mailto:[email-masked]]
> Sent: Wednesday, May 30, 2001 2:06 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [mobile-ip] MN's packet reception
> 
> 
> All
> 
> In addtion to the original mail, I suggest to remove the last 
> subordinate
> clause (*) starting with "as if.." of the below paragraph in 
> MobileIPv6-13,
> because
> 
> [1] Generic Packet Tunneling in IPv6 spec does not state that kind of
> statement and
> [2] the MN's BU condition (#) seems to be outof accord with 
> (*), perhaps
> from the view point of implementation.
> 
> comment please.
> 
> Jiwoong
> 
> 
> 
> 
>    For packets received by either the first or last of these three
>    methods, the mobile node SHOULD send a Binding Update to 
> the original
>    sender of the packet, as described in Section 10.8, subject to the
>    rate limiting defined in Section 10.11.  The mobile node SHOULD
>    also process the received packet in the manner defined for IPv6
>    encapsulation [4], which will result in the encapsulated (inner)
>    packet being processed normally by upper-layer protocols within the
>    mobile node, (*)as if it had been addressed (only) to the 
> mobile node's
>    home address.
> 
> and
> 
>    In addition, when a mobile node receives a packet for which the
>    mobile node can deduce that the original sender of the packet has
>    no Binding Cache entry for the mobile node, or for which the mobile
>    node can deduce that the original sender of the packet has an
>    out-of-date care-of address for the mobile node in its 
> Binding Cache,
>    the mobile node SHOULD return a Binding Update to the sender giving
>    its current care-of address (subject to the rate limiting defined
>    in Section 10.11).  In particular, the mobile node SHOULD return a
>    Binding Update in response to receiving a packet that meets all of
>    the following tests:
> 
> (#)   -  The packet was tunneled using IPv6 encapsulation.
>     ...
> 
> 
> 
> 
> ----- Original Message -----
> From: "Jiwoong Lee" <[email-masked]>
> To: <[email-masked]>
> Sent: Tuesday, May 29, 2001 9:44 AM
> Subject: [mobile-ip] MN's packet reception
> 
> 
> > All,
> >
> > Becasue CN's requirement to use Binding Cache when it sends
> > a packet to MN is "SHOULD", the corresponding possibilities
> > in which a MN receives a packet while away from home also
> > should be described legitimately.
> >
> > A MN MAY receive a packet
> > addressed to its home address, which is sent by a CN that DOES
> > have a Binding Cache entry for the MN, if the CN does NOT like
> > to use Routing Header.
> >
> > Jiwoong
> > --
> >
> >
> > 8.9. Sending Packets to a Mobile Node
> >
> >    Before sending any packet, the sending node SHOULD examine its
> >    Binding Cache for an entry for the destination address 
> to which the
> >    packet is being sent.  If the sending node has a Binding 
> Cache entry
> >    for this address, the sending node SHOULD use a Routing header to
> >    route the packet to this mobile node (the destination 
> node) by way
> >    of the care-of address in the binding recorded in that 
> Binding Cache
> >    entry. ...
> >
> >
> > 10.3. Receiving Packets While Away from Home
> >
> >    While away from home, a mobile node will receive packets 
> addressed to
> >    its home address, by one of three methods:
> >
> >     -  Packets sent by a correspondent node that does not have a
> >        Binding Cache entry for the mobile node, will be sent by the
> >        correspondent node in the same way as any normal IP 
> packet.  Such
> >        packets will then be intercepted by the mobile 
> node's home agent,
> >        encapsulated using IPv6 encapsulation [4], and 
> tunneled to the
> >        mobile node's primary care-of address. ...
> 
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: "Jiwoong Lee" <[email-masked]>
Date: Fri, 1 Jun 2001 21:55:03 +0900

Ken,

I re-reviewed the questionable statement in MIPv6-13 and I think your point
was right. And now I think that sentence was quite perplexingly tricky,-
because there are two subjects for a predicate verb 'process' in one
sentence. The first half part in the sentence is saying the node's IPv6
encap/decap module processing, while the latter is saying the node's
transport layer processing -  trickily with two commas.

Sooo amusing! :>

Big thanks,

Jiwoong